namespace KlassenAbstrakt
{
    internal class Rechteck(string farbe, double breite, double hoehe) : Figur(farbe)
    {
        public override void Skalieren(double faktor)
        {
            breite *= faktor;
            hoehe *= faktor;
        }

        public override double Flaeche() => breite * hoehe;

        public override string ToString() =>
            $"{base.ToString()}, {breite}, {hoehe}";
    }
}
